#include "main.h"

#include "bsp_delay.h"
#include "bsp_usart.h"
#include "bsp_sys.h"

#include "bsp_led.h"
#include "bsp_exti.h"
#include "bsp_timer.h"
#include "bsp_adc.h"
#include "bsp_key.h"

#include "oled.h"

int main()
{
	u8 oledStr[16]={0};
	u8 count=0;
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
	BspUsartInit(115200);
	DelayInit();
	
	OLED_Init();

	while(1)
	{
		count ++;
		sprintf((char*)oledStr,"Test : %3d     ",(u8)count);
		OLED_ShowString(10,28,oledStr,16,1);
		OLED_Refresh();
		DelayMs(100);
	}
}

