#include "main.h"

#include "bsp_delay.h"
#include "bsp_usart.h"
#include "bsp_sys.h"

#include "bsp_led.h"
#include "bsp_exti.h"
#include "bsp_timer.h"
#include "bsp_adc.h"
#include "bsp_key.h"

#include "oled.h"
#include "GUI.h"

int main()
{
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
	BspUsartInit(115200);
	DelayInit();
	BspLedInit();
	BspExtiInit();
	BspTim3Init(5000,72);
	BspAdcInit();
	BspKeyInit();
	
	OLED_Init();
	GuiInit();
	while(1)
	{
		count1++;
		count2++;
		count3++;
		count4++;
		GuiControl();
		GuiDataDisplayRefresh();
		DelayMs(10);
	}
}

