#include "bsp_usart.h"
#include "stdio.h"

void DebugUsartMain()
{
    u8 res;
    res = USART_ReceiveData(USART1);
    USART_SendData(USART1,res);
}

void USART1_IRQHandler(void)
{
    if(USART_GetITStatus(USART1, USART_IT_RXNE) != RESET)
    {
        DebugUsartMain();
        EXTI_ClearITPendingBit(USART_IT_RXNE);
    }
}

//ضfputc
int fputc(int ch, FILE *f)
{
    while((USART1->SR&0X40)==0);//ѭ,ֱ
    USART1->DR = (u8) ch;
    return ch;
}

void BspUsartInit(u32 bound)
{
    RCC_APB2PeriphClockCmd(RCC_APB2Periph_USART1|
                           RCC_APB2Periph_GPIOA,  ENABLE);	//ʹUSART1GPIOAʱ
    //GPIO˿
    {
        GPIO_InitTypeDef GPIO_InitStructure;
        //USART1_TX   GPIOA.9
        GPIO_InitStructure.GPIO_Pin = GPIO_Pin_9;
        GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
        GPIO_InitStructure.GPIO_Mode = GPIO_Mode_AF_PP;
        GPIO_Init(GPIOA, &GPIO_InitStructure);

        //USART1_RX	  GPIOA.10ʼ
        GPIO_InitStructure.GPIO_Pin = GPIO_Pin_10;
        GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING;
        GPIO_Init(GPIOA, &GPIO_InitStructure);
    }
    //Usart1 NVIC 
    {
        NVIC_InitTypeDef NVIC_InitStructure;

        NVIC_InitStructure.NVIC_IRQChannel = USART1_IRQn;
        NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority=3 ;//ռȼ3
        NVIC_InitStructure.NVIC_IRQChannelSubPriority = 3;		//ȼ3
        NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;			//IRQͨʹ
        NVIC_Init(&NVIC_InitStructure);	//ָĲʼNVICĴ
    }
    //USART ʼ
    {
        USART_InitTypeDef USART_InitStructure;
        USART_InitStructure.USART_BaudRate = bound;//ڲ
        USART_InitStructure.USART_WordLength = USART_WordLength_8b;//ֳΪ8λݸʽ
        USART_InitStructure.USART_StopBits = USART_StopBits_1;//һֹͣλ
        USART_InitStructure.USART_Parity = USART_Parity_No;//żУλ
        USART_InitStructure.USART_HardwareFlowControl = USART_HardwareFlowControl_None;//Ӳ
        USART_InitStructure.USART_Mode = USART_Mode_Rx | USART_Mode_Tx;	//շģʽ

        USART_Init(USART1, &USART_InitStructure); //ʼ1
        USART_ITConfig(USART1, USART_IT_RXNE, ENABLE);//ڽж
        USART_Cmd(USART1, ENABLE);                    //ʹܴ1
    }
}




