#include "main.h"

#include "bsp_delay.h"
#include "bsp_usart.h"
#include "bsp_sys.h"

#include "bsp_led.h"
#include "bsp_exti.h"
#include "bsp_timer.h"
#include "bsp_adc.h"
#include "bsp_key.h"

#include "lcd.h"
#include "pic.h"

int main()
{
	float t=0;
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
	BspUsartInit(115200);
	DelayInit();
	
	LCD_Init();//LCDʼ
	LCD_Fill(0,0,LCD_W,LCD_H,WHITE);

	while(1)
	{
		LCD_ShowChinese(40,0,"о԰",RED,WHITE,32,0);
		LCD_ShowString(10,33,"LCD_W:",RED,WHITE,32,0);
		LCD_ShowIntNum(106,33,LCD_W,3,RED,WHITE,32);
		LCD_ShowString(10,66,"LCD_H:",RED,WHITE,32,0);
		LCD_ShowIntNum(106,66,LCD_H,3,RED,WHITE,32);
		LCD_ShowFloatNum1(10,99,t,4,RED,WHITE,32);
		t+=0.11;
		LCD_ShowPicture(160,95,40,40,gImage_1);
		DelayMs(10);
	}
}

